## Greenstone-2.88-candidate-2025.12.03-source-distribution.tar.gz

=== protect/Makefile ===
# Makefile - for tidy

CC= gcc

CFLAGS= -O

# Makefile - for tidy

CC= gcc

CFLAGS= -O

INSTALLDIR= /usr/local/

OFILES=		attrs.o         istack.o        parser.o        tags.o \
		entities.o      lexer.o         pprint.o        clean.o \
		localize.o      config.o        tidy.o

CFILES=		attrs.c         istack.c        parser.c        tags.c \
		entities.c      lexer.c         pprint.c        clean.c \
		localize.c      config.c        tidy.c

HFILES=		platform.h html.h

tidy:		$(OFILES)
		$(CC) $(CFLAGS) -o tidy  $(OFILES) -lc

$(OFILES):	$(HFILES)  Makefile

tab2space:	tab2space.c
		$(CC) $(CFLAGS) -o tab2space tab2space.c -lc

all:		tidy tab2space

clean:
		rm -f $(OFILES) tab2space.o  tidy tab2space

install:
	cp -f tidy $(INSTALLDIR)bin
	cp -f man_page.txt $(INSTALLDIR)man/man1/tidy.1
	cd $(INSTALLDIR)bin; \
	chmod 755 tidy; \
	chgrp bin tidy; \
	chown bin tidy;

=== Libs/lib/Makefile ===
CC	     = gcc
CFLAGS	     = -I/data/davidb/greenstone3-svn-mingw/gs2build/ext/gnome-lib/linux/include 
BUILD_CC     = @BUILD_CC@
BUILD_CFLAGS = @BUILD_CFLAGS@
RANLIB	     = ranlib

INCLUDES=../h/rtf.h ../h/stdcharnames.h ../OTHER/tokenscan.h

all:	librtf.a rtf-ctrl

librtf.a:	reader.o
	ar r librtf.a reader.o
	$(RANLIB) librtf.a 

reader.o:	reader.c $(INCLUDES)
	$(CC) $(CFLAGS) -c -I../h -I../OTHER $*.c

mkrtf-ctrl:	mkrtf-ctrl.c $(INCLUDES)
	 $(BUILD_CC) $(BUILD_CFLAGS) -I../h -I../OTHER mkrtf-ctrl.c -o mkrtf-ctrl

rtf-ctrl:	mkrtf-ctrl $(INCLUDES) 
	./mkrtf-ctrl

rtf-ctl.o:	reader.c $(INCLUDES)
	$(CC) $(CFLAGS) -c -I../h -I../OTHER $*.c

clean:
	rm -f librtf.a *.o

=== debian/changelog ===
yaz (2.1.56-1) unstable; urgency=low

  * Upstream.

 -- Adam Dickmeiss <adam@indexdata.dk>  Tue, 26 Jun 2007 11:19:32 +0200

yaz (2.1.54-1) unstable; urgency=low

  * Upstream.

 -- Adam Dickmeiss <adam@indexdata.dk>  Fri, 16 Mar 2007 09:07:32 +0100

yaz (2.1.52-1) unstable; urgency=low

  * Upstream.

 -- Adam Dickmeiss <adam@indexdata.dk>  Wed,  7 Mar 2007 09:03:29 +0100

yaz (2.1.50-1) unstable; urgency=low

  * Upstream.

 -- Adam Dickmeiss <adam@indexdata.dk>  Fri, 23 Feb 2007 12:50:38 +0100

yaz (2.1.49-1) unstable; urgency=low

  * Test new event/task handling for ZOOM C.

 -- Adam Dickmeiss <adam@indexdata.dk>  Wed, 21 Feb 2007 13:57:39 +0100

yaz (2.1.48-1) unstable; urgency=low

  * Upstream.

 -- Adam Dickmeiss <adam@indexdata.dk>  Tue, 23 Jan 2007 20:29:59 +0100

yaz (2.1.46-1) unstable; urgency=low

  * Upstream.

 -- Adam Dickmeiss <adam@indexdata.dk>  Sat, 13 Jan 2007 09:58:28 +0100

yaz (2.1.44-1) unstable; urgency=low

  * Upstream.

 -- Adam Dickmeiss <adam@indexdata.dk>  Wed,  3 Jan 2007 09:36:02 +0100

yaz (2.1.42-1) unstable; urgency=low

  * Upstream.

 -- Adam Dickmeiss <adam@indexdata.dk>  Sun, 17 Dec 2006 16:44:31 +0100

yaz (2.1.41-5) unstable; urgency=low

  * Fixed bug #722.

 -- Adam Dickmeiss <adam@indexdata.dk>  Wed,  6 Dec 2006 14:26:09 +0100

yaz (2.1.41-4) unstable; urgency=low

  * Fixed bug #740.

 -- Adam Dickmeiss <adam@indexdata.dk>  Mon,  4 Dec 2006 10:14:48 +0100

yaz (2.1.41-3) unstable; urgency=low

  * yaz-ziffy is architecture all (not any).

 -- Adam Dickmeiss <adam@indexdata.dk>  Fri,  1 Dec 2006 09:09:39 +0100

yaz (2.1.41-2) unstable; urgency=low

  * With bug fix #740.

 -- Adam Dickmeiss <adam@indexdata.dk>  Fri,  1 Dec 2006 08:57:26 +0100

yaz (2.1.41-1) unstable; urgency=low

  * With ziffy.

 -- Adam Dickmeiss <adam@indexdata.dk>  Thu, 30 Nov 2006 09:53:06 +0100

yaz (2.1.40-1) unstable; urgency=low

  * Upstream.

 -- Adam Dickmeiss <adam@indexdata.dk>  Mon, 27 Nov 2006 15:11:55 +0100

yaz (2.1.39-1) unstable; urgency=low

  * Upstream.

 -- Marc Cromme <marc@indexdata.dk>  Mon, 06 Nov 2006 14:11:34 +0100

yaz (2.1.38-1) unstable; urgency=low

  * Upstream.

 -- Adam Dickmeiss <adam@indexdata.dk>  Tue, 31 Oct 2006 11:06:12 +0100

yaz (2.1.36-1) unstable; urgency=low

  * Upstream. Revised BSD License.

 -- Adam Dickmeiss <adam@indexdata.dk>  Fri, 13 Oct 2006 13:33:49 +0200

yaz (2.1.34-1) unstable; urgency=low

  * Upstream.

 -- Adam Dickmeiss <adam@indexdata.dk>  Wed,  4 Oct 2006 10:01:51 +0200

yaz (2.1.32-1) unstable; urgency=low

  * Upstream.

 -- Adam Dickmeiss <adam@indexdata.dk>  Thu, 21 Sep 2006 08:57:44 +0200

yaz (2.1.30-1) unstable; urgency=low

  * Upstream.

 -- Adam Dickmeiss <adam@indexdata.dk>  Sun, 17 Sep 2006 12:51:58 +0200

yaz (2.1.28-1) unstable; urgency=low

  * Upstream.

 -- Adam Dickmeiss <adam@indexdata.dk>  Mon,  4 Sep 2006 12:11:24 +0200

yaz (2.1.27-3) unstable; urgency=low

  * More testing of MARC-8 encoding. Using getaddrinfo.

 -- Adam Dickmeiss <adam@indexdata.dk>  Thu, 31 Aug 2006 17:39:18 +0200

yaz (2.1.27-2) unstable; urgency=low

  * Testing of MARC-8 encoding bugs.

 -- Adam Dickmeiss <adam@indexdata.dk>  Mon, 28 Aug 2006 18:54:11 +0200

yaz (2.1.27-1) unstable; urgency=low

  * Upstream.

 -- Adam Dickmeiss <adam@indexdata.dk>  Thu, 17 Aug 2006 00:48:40 +0200

yaz (2.1.26-1) unstable; urgency=low

  * Upstream.

 -- Adam Dickmeiss <adam@indexdata.dk>  Tue, 15 Aug 2006 15:18:26 +0200

yaz (2.1.24-1) unstable; urgency=low

  * Upstream.

 -- Adam Dickmeiss <adam@indexdata.dk>  Tue,  8 Aug 2006 10:32:04 +0200

yaz (2.1.23-2) unstable; urgency=low

  * Second attempt to fix bug #612.

 -- Adam Dickmeiss <adam@flurry.index>  Fri, 16 Jun 2006 14:30:56 +0200

yaz (2.1.23-1) unstable; urgency=low

  * Internal build to work with bug #612.

 -- Adam Dickmeiss <adam@flurry.index>  Fri, 16 Jun 2006 12:07:10 +0200

yaz (2.1.22-1) unstable; urgency=low

  * Upstream.

 -- Adam Dickmeiss <adam@indexdata.dk>  Thu, 15 Jun 2006 15:35:17 +0200

yaz (2.1.20-1) unstable; urgency=low

  * Upstream.

 -- Adam Dickmeiss <adam@indexdata.dk>  Fri,  2 Jun 2006 15:16:22 +0200

yaz (2.1.19-1) unstable; urgency=low

  * Upstream
  * added yaz_filepath_resolve(...) to API
  * API version 2.1.17.

 -- Marc Cromme <marc@indexdata.dk>  Thu, 27 Apr 2006 21:56:29 +0200

yaz (2.1.18-1) unstable; urgency=low

  * Moved yaz.7 from libyaz to libyaz-dev.
  * Moved man page lists to .manpages files.
  * Added common directory to be part of yaz-doc
  * API version 2.1.17.

 -- Marc Cromme <marc@indexdata.dk>  Thu, 20 Apr 2006 10:43:56 +0200

yaz (2.1.17-1) unstable; urgency=low

  * Upstream.

 -- Marc Cromme <marc@indexdata.dk>  Thu, 20 Apr 2006 10:03:06 +0200

yaz (2.1.16-1) unstable; urgency=low

  * Upstream.

 -- Adam Dickmeiss <adam@indexdata.dk>  Fri, 31 Mar 2006 14:44:12 +0200

yaz (2.1.15-1) unstable; urgency=low

  * Upstream.

 -- Adam Dickmeiss <adam@indexdata.dk>  Thu, 16 Mar 2006 09:34:01 +0100

yaz (2.1.14-1) unstable; urgency=low

  * Upstream.

 -- Adam Dickmeiss <adam@indexdata.dk>  Tue, 14 Mar 2006 10:01:57 +0100

yaz (2.1.12-1) unstable; urgency=low

  * Upstream.

 -- Adam Dickmeiss <adam@indexdata.dk>  Wed,  1 Feb 2006 21:07:50 +0100

yaz (2.1.10-2) unstable; urgency=low

  * updated number for new release cycle

 -- Marc Cromme <marc@indexdata.dk>  Fri, 09 Dec 2005 11:43:10 +0100

yaz (2.1.10-1) unstable; urgency=low

  * Upstream.

 -- Adam Dickmeiss <adam@indexdata.dk>  Tue, 29 Nov 2005 21:17:15 +0100

yaz (2.1.9-2) unstable; urgency=low

  * Removed /usr/share/yaz/etc from libyaz. All /usr/share/yaz content is
    now part of libyaz-dev.

 -- Adam Dickmeiss <adam@indexdata.dk>  Wed, 10 Aug 2005 10:28:39 +0200

yaz (2.1.9-1) unstable; urgency=low

  * Upstream updated number for new development version

 -- Marc Cromme <marc@indexdata.dk>  Mon, 18 Jul 2005 11:52:09 +0200

yaz (2.1.8-1) unstable; urgency=low

  * Upstream.

 -- Adam Dickmeiss <adam@indexdata.dk>  Tue,  7 Jun 2005 21:28:19 +0200



=== debian/control ===
Source: yaz
Standards-Version: 3.6.1
Maintainer: Adam Dickmeiss <adam@indexdata.dk>
Priority: extra
Build-Depends: docbook-utils, docbook, docbook-xml, docbook-dsssl, jade, jadetex,libxml2-dev, libssl-dev, libreadline4-dev, libwrap0-dev

Package: libyaz
Section: libs
Architecture: any
Depends: ${shlibs:Depends}
Replaces: yaz-runtime, yaz-ssl
Conflicts: yaz-runtime, yaz-ssl, idzebra (<= 1.3.4-2), php4-yaz (<= 4.1.2-5)
Description: The YAZ Z39.50 toolkit (runtime files)
 YAZ is a toolkit that allows you to develop software using the
 ANSI Z39.50/ISO23950 standard for information retrieval.
 .
 This packages includes runtime files.

Package: yaz
Section: utils
Architecture: any
Depends: ${shlibs:Depends}
Conflicts: yaz-runtime, yaz-ssl
Description: The YAZ Z39.50 toolkit (utilities)
 YAZ is a toolkit that allows you to develop software using the
 ANSI Z39.50/ISO23950 standard for information retrieval.
 .
 This packages includes utility programs.

Package: yaz-doc
Section: doc
Architecture: all
Description: The YAZ Z39.50 toolkit (documentation)
 YAZ is a toolkit that allows you to develop software using the
 Z39.50/ISO23950 standard for information retrieval.
 .
 This packages includes documentation for YAZ in HTML and PDF.

Package: libyaz-dev
Depends: libyaz (= ${Source-Version}), libxml2-dev, libwrap0-dev, libssl-dev
Replaces: yaz-devel
Conflicts: yaz-devel
Section: devel
Architecture: any
Recommends: yaz-doc
Description: The YAZ Z39.50 toolkit (development files)
 YAZ is a toolkit that allows you to develop software using the
 ANSI Z39.50/ISO23950 standard for information retrieval.
 .
 This packages includes development libraries and C/C++ header files.
